/********************** nastroyki ***************************/

/*kolichestvo tsifr indikatora*/
#define IND_AMOUNT_NUM 4

/*aktivnyy uroven' segmenta 0 ili 1*/
#define IND_ACTIVE_LEVEL_SEG   1

/*aktivnyy uroven' razryada 0 ili 1*/
#define IND_ACTIVE_LEVEL_DIG   0

/*kuda podklyucheny segmenty indikatora*/
#define IND_PORT_SEG P1

/*kuda podklcheny razryady indikatora*/
#define IND_PORT_DIG P3

/*k kakim vyvodam podklyucheny razryady*/
#define IND_NUM1 3
#define IND_NUM2 4
#define IND_NUM3 1
#define IND_NUM4 0
#define IND_NUM5 4
#define IND_NUM6 5
#define IND_NUM7 6
#define IND_NUM8 7

/*k kakim vyvodam podklyucheny segmenty*/  
#define IND_A    7
#define IND_B    5
#define IND_C    2
#define IND_D    3
#define IND_E    4
#define IND_F    6
#define IND_G    1
#define IND_COM  0

/***********************************************************************************
* Function name : IND_Init 
* Returns : net 
* Parameters : net 
* Purpose : initsializatsiya portov vvoda-vyvoda, ochistka bufera indikatora    
************************************************************************************/
void IND_Init(void);

/***********************************************************************************
* Function name : IND_Output 
* Returns : net 
* Parameters : ochistka
* Purpose : TIRE
***********************************************************************************/
void IND_TIRE(void);
	
/***********************************************************************************
* Function name : IND_Output 
* Returns : net 
* Parameters : ochistka
* Purpose : 
***********************************************************************************/
void IND_CLR(void);

/***********************************************************************************
* Function name : IND_Output 
* Returns : net 
* Parameters : value - chislo dlya preobrazovaniya, comma - pozitsiya tochki na indikatore 
* Purpose : preobrazuyet 16-ti razryadnoye chislo, zapisyvayet yego v bufer indikatora    
***********************************************************************************/
void IND_Output(unsigned int value, unsigned char comma);

/***********************************************************************************
* Function name : IND_OutputFormat 
* Returns : net 

* Parameters : value - chislo dlya preobrazovaniya, 
* comma - pozitsiya tochki na indikatore 
* position - na kakuyu pozitsiyu vyvodit' chislo 
* amount - skol'ko tsifr vyvodit' 

* Purpose : preobrazuyet 16-ti razryadnoye chislo, zapisyvayet yego v bufer indikatora    
***********************************************************************************/
void IND_OutputFormat(unsigned int value, unsigned char comma, unsigned char position, unsigned char amount);

/***********************************************************************************
* Function name : IND_Update 
* Returns : net * Parameters : net 
* Purpose : Vyvodit na indikator chislo iz bufera. 
* Etu funktsiyu nuzhno vyzyvat' iz preryvaniya taymera
***********************************************************************************/
void IND_Update(void);

